using System;
using System.Text;
using System.Xml;
using System.Xml.Serialization;
using NHibernate.Cfg;

namespace NHibernate.Xml
{
    class Program
    {
       
        static void Main(string[] args)
        {
            Configuration cfg = new Configuration();
            cfg.AddAssembly(typeof (Document).Assembly);
			
            ISessionFactory factory = cfg.BuildSessionFactory();
            using(ISession session = factory.OpenSession())
            {
				XmlDocument xml = new XmlDocument();
				xml.Load("e:\\temp\\Municipalities.xml");
                Document doc1 = new Document("Author1",xml);
				session.Save(doc1);
				session.Flush();

				Document document = session.Load(typeof (Document),1) as Document;
                //document.Xml.DocumentElement
                //    .AppendChild(document.Xml.CreateElement("bar"));
                Console.WriteLine(document.Xml.OuterXml);
                session.Flush();
            }
            
            //new XmlSerializer(typeof(Employee)).Serialize(Console.Out,new Employee());
        }
    }

    public class Employee
    {
        public Guid Guid
        {
            get { return guid; }
            set { guid = value; }
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        Guid guid = System.Guid.NewGuid();
        string name = "Bar";
    }
        
}
